Subject: Re: qt-build-system: Add QT_QPA_PLATFORM=offscreen?

From: Efraim Flashner <[email-masked]>
Date: Wed, 22 Jan 2020 11:24:15 +0200

On Wed, Jan 22, 2020 at 09:44:02AM +0100, Hartmut Goebel wrote:
> Hi Danny,
> 
> (forwarding to guix-devel to eventually get more opinions on this)
> 
> Am 21.01.20 um 23:43 schrieb Danny Milosavljevic:
> >> +         (add-before 'check 'check-setup
> >> +           (lambda _
> >> +             (setenv "QT_QPA_PLATFORM" "offscreen")
> >> +             #t)))))
> > Hmm, would it make sense to do that automatically in qt-build-system ?
> 

I was about to suggest this.
(ins)efraim@E5400 ~/workspace/guix$ grep QT_QPA_PLATFORM\" gnu/packages/kde*scm | wc -l
41
(ins)efraim@E5400 ~/workspace/guix$ grep define-public gnu/packages/kde*scm | wc -l
124
(ins)efraim@E5400 ~/workspace/guix$ grep qt-build-system gnu/packages/kde*scm | wc -l
27

> I would be fine with this, since I find myself adding this snippet quite
> often when building Qt/KDE applications. But there *might* be cases,
> where tests fail due to this setting. (While I'm not aware of one, I
> could imaging some test checks whether it is actually painting.)
> 
> Thus I propose implementing this in some way to easily disable it if
> required: Either
> 
> - by adding this a new phase (as in the snippet shown above), so it can
> easily be disabled
> 
> - by adding another keyword-argument (proposal: `#:qpa-platform`,
> default: "offscreen", if +f, will not be set.
> 
> WDYT?
> 

I like a new phase before the 'check phase. Are there other things we'd
want to add? Looking through kde-framworks.scm the only one I'd feel
comfortable adding would be the TZ ones.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted